apiVersion: apps/v1
kind: Deployment
metadata:
  name: mongo-express-deployement
  labels:
    app: mongo-express
spec:
  replicas: 1
  selector:
    matchLabels:
      app: mongo-express
  template:
    metadata:
      labels:
        app: mongo-express
    spec:
      containers:
        - name: mongo-express-container
          image: mongo-express
          ports: # Voir RQ 10
            - containerPort: 8081
          env:
            - name: ME_CONFIG_MONGODB_ADMINUSERNAME # Voir RQ 11
              valueFrom:
                secretKeyRef:
                  name: mongo-secret
                  key: mongo-root-username
            - name: ME_CONFIG_MONGODB_ADMINPASSWORD # Voir RQ 11 
              valueFrom:
                secretKeyRef:
                  name: mongo-secret
                  key: mongo-root-password
            - name: ME_CONFIG_MONGODB_SERVER
              valueFrom:
                configMapKeyRef:
                  name: config-map
                  key: url_db
---
apiVersion: v1 # Version ...
kind: Service # Naw3iyét resource
metadata: # Des infos ..
  name: mongo-express-service # NAme: ...
spec: # ....
  selector:
    app: mongo-express
  type: NodePort
  ports:
    - protocol: TCP
      port: 8081
      targetPort: 8081
      nodePort: 30000


